std::experimental::any(3cxx)

NAME
std::experimental::any - A type-safe container of any type.

SYNOPSIS

  Public Member Functions

any () noexcept
Default constructor, creates an empty object.
template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if< is_constructible< _Tp, _ValueType && >::value, bool >::type = true> any (_ValueType &&__value)
Construct with a copy of __value as the contained object.
template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if<!is_constructible< _Tp, _ValueType && >::value, bool >::type = false> any (_ValueType &&__value)
Construct with a copy of __value as the contained object.
any (any &&__other) noexcept
Move constructor, transfer the state from __other.
any (const any &__other)
Copy constructor, copies the state of __other.
~any ()
Destructor, calls clear()
void clear () noexcept
If not empty, destroy the contained object.
bool empty () const noexcept
Reports whether there is a contained object or not.
template<typename _ValueType > enable_if_t<!is_same< any, decay_t< _ValueType > >::value, any & > operator= (_ValueType &&__rhs)
Store a copy of __rhs as the contained object.
any & operator= (any &&__rhs) noexcept
Move assignment operator.
any & operator= (const any &__rhs)
Copy the state of another object.
void swap (any &__rhs) noexcept
Exchange state with another object.
const type_info & type () const noexcept
The typeid of the contained object, or typeid(void) if empty.

  Static Public Member Functions

template<typename _Tp > static constexpr bool __is_valid_cast ()

  Friends

template<typename _Tp > enable_if_t< is_object< _Tp >::value, void * > __any_caster (const any *__any)

Detailed Description

A type-safe container of any type.

An any object's state is either empty or it stores a contained object of CopyConstructible type.

Definition at line 87 of file any.

Constructor & Destructor Documentation

  template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if<!is_constructible< _Tp, _ValueType && >::value, bool >::type = false> std::experimental::any::any (_ValueType && __value) [inline]

Construct with a copy of __value as the contained object.

Definition at line 176 of file any.

Author

Generated automatically by Doxygen for libstdc++ from the source code.